## ros-foxy-lanelet2-examples 1.2.1

=== debian/changelog ===
ros-foxy-lanelet2-examples (1.2.1-1focal) focal; urgency=high



 -- Fabian Immel <fabian.immel@kit.edu>  Wed, 10 May 2023 00:00:00 -0000

ros-foxy-lanelet2-examples (1.2.0-1focal) focal; urgency=high

  * Fix OSM file output for upload and elevation (#245 <https://github.com/fzi-forschungszentrum-informatik/Lanelet2/issues/245>)
    * discourage upload and format elevation to max 2 decimals to prevent JSOM excessive elevation precision errors
    * remove width to prevent leading spaces for lat/lon/ele
    * allow for providing parameters josm_prevent_upload and josm_format_elevation to write
    * Test lat/lon/ele formatting with and without josm_format_elevation. Test josm_upload
    * improve read/write tutorial section comments
    * document params
  * Fix 223 all way stop python (#231 <https://github.com/fzi-forschungszentrum-informatik/Lanelet2/issues/231>)
  * Add CI using GitHub Actions (#256 <https://github.com/fzi-forschungszentrum-informatik/Lanelet2/issues/256>)
  * Add lanelet2_matching as dep for examples
  * Move matching integration test to examples
  * Update and fix conan build, deps and docs
    closes fzi-forschungszentrum-informatik/Lanelet2#174 <https://github.com/fzi-forschungszentrum-informatik/Lanelet2/issues/174>
  * Fixed typo in README.md
  * Contributors: Denzel-Haverkamp, Fabian Poggenhans, Maximilian Naumann, Michał Antkiewicz, Fabian Immel

 -- Fabian Immel <fabian.immel@kit.edu>  Mon, 30 Jan 2023 00:00:00 -0000

ros-foxy-lanelet2-examples (1.1.1-1focal) focal; urgency=high



 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Mon, 14 Sep 2020 00:00:00 -0000

ros-foxy-lanelet2-examples (1.1.0-1focal) focal; urgency=high

  * Add experimental support for building with colcon on ros2 and ament_cmake
  * Make all includes of lanelet2_examples consistent
  * Updating package.xml files to format 3.
  * Apply clang-tidy 10 recommendations
  * Contributors: Fabian Poggenhans, Joshua Whitley

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Sun, 06 Sep 2020 00:00:00 -0000

ros-foxy-lanelet2-examples (1.0.1-1focal) focal; urgency=high

  * Make sure lanelet2 buildtool_export_depends on mrt_cmake_modules
  * Add changelogs
  * Contributors: Fabian Poggenhans

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Tue, 24 Mar 2020 00:00:00 -0000

ros-foxy-lanelet2-examples (1.0.0-1focal) focal; urgency=high

  * Bump version to 1.0
  * RoutingGraph and Route now use the new LaneletSubmap to store the lanelets they are using
    their member functions laneletMap() and passableMap() are now deprecated and should be replaced by laneletSubmap() and passableSubmap() respectively. These functions have less overhead and are less likely to be misinterpreted as 'maps containing only the lanelets you need'
  * Add a new class 'LaneletSubmap' that only contains parts of the map and is faster to construct
  * Routing graph and route object now support queries with a custom search function
  * Improve c++17 support, supress warnings and clang-tidy 7 issues
  * Simplified definition of origin in python, adapted examples
  * Add examples package
  * Contributors: Fabian Poggenhans, Maximilian Naumann, Sascha Wirges

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Tue, 03 Mar 2020 00:00:00 -0000
