=== debian/control ===
Source: ros-foxy-lanelet2-examples
Section: misc
Priority: optional
Maintainer: Fabian Immel <fabian.immel@kit.edu>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev <!nocheck>, ros-foxy-ament-cmake-core, ros-foxy-lanelet2-core, ros-foxy-lanelet2-io, ros-foxy-lanelet2-matching, ros-foxy-lanelet2-projection, ros-foxy-lanelet2-python, ros-foxy-lanelet2-routing, ros-foxy-lanelet2-traffic-rules, ros-foxy-mrt-cmake-modules, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-lanelet2-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-lanelet2-core, ros-foxy-lanelet2-io, ros-foxy-lanelet2-matching, ros-foxy-lanelet2-projection, ros-foxy-lanelet2-python, ros-foxy-lanelet2-routing, ros-foxy-lanelet2-traffic-rules, ros-foxy-mrt-cmake-modules, ros-foxy-ros2cli, ros-foxy-ros-workspace
Description: Examples for working with Lanelet2
